SDL_EnumeratePropertiesCallback(3type)

NAME
SDL_EnumeratePropertiesCallback - A callback used to enumerate all the properties in a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void (SDLCALL *SDL_EnumeratePropertiesCallback)(void *userdata, SDL_PropertiesID props, const char *name);

DESCRIPTION
This callback is called from

SDL_EnumerateProperties (), and is called once per property in the set.

FUNCTION PARAMETERS

userdata
    an app-defined pointer passed to the callback.

props
    the SDL_PropertiesID
     that is being enumerated.

name
    the next property name in the enumeration.

THREAD SAFETY

SDL_EnumerateProperties
 holds a lock on props during this callback.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_EnumerateProperties(3)